The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Вышел ProFTPD 1.3.3c с исправлением уязвимости"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Вышел ProFTPD 1.3.3c с исправлением уязвимости"  +/
Сообщение от opennews (ok) on 31-Окт-10, 12:04 
Доступен релиз FTP-сервера ProFTPD 1.3.3c (http://www.proftpd.org/) в котором исправлено 6 ошибок (http://www.proftpd.org/docs/NEWS-1.3.3c), из которых две проблемы приводили к возникновению опасных уязвимостей:


-  Переполнение стека при обработке escape-последовательностей IAC ("Interpret as Command") в обработчике протокола Telnet;
-  Возможность выхода за пределы корневой директории ftp-сервера из-за ошибки в модуле mod_site_misc. Для отключения модуля  mod_site_misc в новой версии реализована новая директива конфигурации SiteMiscEngine.


Кроме того, исправлена ошибка в бэкенде SQLAuthType, из-за которой некоторые запросы аутентификации некорректно блокировались при использовании модуля mod_sql_sqlite.


URL: http://www.proftpd.org/
Новость: https://www.opennet.ru/opennews/art.shtml?num=28476

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Вышел ProFTPD 1.3.3c с исправлением уязвимости"  +/
Сообщение от Aquarius (ok) on 31-Окт-10, 12:04 
если это поделие кем-то востребовано, почему его до сих пор никто не переписал с нуля с оглядкой на безопасность?
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "Вышел ProFTPD 1.3.3c с исправлением уязвимости"  +/
Сообщение от VecH (ok) on 31-Окт-10, 15:27 
Очень давно не пользовался эти FTP сервером
в опциях появилась возможность отключать/включать что бы он не вырезал символы "я" из кириллических имен файлов или как и раньше надо патчить и перекомпилировать
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "Вышел ProFTPD 1.3.3c с исправлением уязвимости"  +/
Сообщение от Ytch on 31-Окт-10, 19:45 
Буквы не вырезает (по крайней мере с локалью utf-8). Если включить модуль nls, то может и кодировки преобразовывать и тоже ничего не вырезает при этом.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру